Trouble installing new packages and updates in ubuntu

Asked by Rohan Nigam on 2007-11-14

Hi im a new member in this community but have been using Ubuntu for last 6-7 months. It started off really well. Absolutely no problem at all. But now it has started giving few headaches. Here are few things that went wrong so far:

1.When i click on new updates available , the update manager gives the following error

An error occured
The following details are provided:

E: clvm: subprocess post-installation script returned error exit status 3
E: redhat-cluster-suite: dependency problems - leaving unconfigured
E: system-config-cluster: dependency problems - leaving unconfigured

When i click on show details:
It says dependency problems and leaves all the packages unconfigured after dowloading and extracting them.

2. Sound, which i thought was the best and coolest thing to happen to a linux distribution , it doesnt work in my ubuntu anymore. Not sure what the problem is . But there is no sound anymore.

Can anyone please help me with these issues??

Thank you
Rohan

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu lvm2 Edit question
Assignee:
No assignee Edit question
Last query:
2007-11-14
Last reply:
2009-09-11
Rohan Nigam (locaterohan) said : #1

The error still persists... I tried to run the command sudo dpkg --configure -a as suggested by one of the member of the ubuntu community and i got the following error:

Setting up clvm (2.02.06-2ubuntu9) ...
Starting Cluster LVM Daemon clvmd could not connect to cluster manager
Consult syslog for more information
invoke-rc.d: initscript clvm, action "start" failed.
dpkg: error processing clvm (--configure):
 subprocess post-installation script returned error exit status 3
dpkg: dependency problems prevent configuration of redhat-cluster-suite:
 redhat-cluster-suite depends on clvm; however:
  Package clvm is not configured yet.
dpkg: error processing redhat-cluster-suite (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of system-config-cluster:
 system-config-cluster depends on redhat-cluster-suite; however:
  Package redhat-cluster-suite is not configured yet.
dpkg: error processing system-config-cluster (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 clvm
 redhat-cluster-suite
 system-config-cluster

And after this also.. i am unable to install any new packages. Help anyone!!

Thanx
Rohan

Cesare Tirabassi (norsetto) said : #2

This could possibly be a packaging bug, as it seems that the clvm daemon could not be started since it cannot connect with the cluster manager.
Indeed, your cluster manager is not yet installed, since it is a dependency of the redhat-cluster-suite package.
To solve this, we might need to do a little hack, just locate the clvm.postinst script and comment out the set -e line (or possibly remove the "|| exit $?" in the invoke-rc.d branch), after which you should be able to continue with a "sudo dpkg --configure -a" command (remember to edit the script with su rights).
The script should be in /var/lib/dpkg/info.

Please report here if not successful and why.

PS. Please do not attempt the above if you don't understand what I'm talking about, as you could make things even worse.

Rohan Nigam (locaterohan) said : #3

Hi i commented out the set -e line and i still got the error. This is what i tried.

root@Pirate:/var/lib/dpkg/info# vi clvm.postinst
root@Pirate:/var/lib/dpkg/info# exit
exit
rohan@Pirate:~$ sudo dpkg --configure -a
Password:
Setting up clvm (2.02.06-2ubuntu9) ...
Starting Cluster LVM Daemon clvmd could not connect to cluster manager
Consult syslog for more information
invoke-rc.d: initscript clvm, action "start" failed.
dpkg: error processing clvm (--configure):
 subprocess post-installation script returned error exit status 3
dpkg: dependency problems prevent configuration of redhat-cluster-suite:
 redhat-cluster-suite depends on clvm; however:
  Package clvm is not configured yet.
dpkg: error processing redhat-cluster-suite (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of system-config-cluster:
 system-config-cluster depends on redhat-cluster-suite; however:
  Package redhat-cluster-suite is not configured yet.
dpkg: error processing system-config-cluster (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 clvm
 redhat-cluster-suite
 system-config-cluster
rohan@Pirate:~$

Still not sure what the problem is.

Thank you
Rohan

Cesare Tirabassi (norsetto) said : #4

Well, if you don't remove the "|| exit $?" in the invoke-rc.d branch it will anyhow exit with an error.
Alternatively, just comment out the invoke-rc.d call (which is where the error is coming from).
To understand the message better, have a look at syslog, or try with a manual invocation:

sudo start-stop-daemon --start --verbose --exec /sbin/clvmd --

huevo81 (beyonddead-1) said : #6

I keep getting this on updates and installing plug-ins like java, this is what I get:

E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

@Huevo81

Please don't append a new question on a already answered or marked as solved question.
Please make new question from here: https://answers.launchpad.net/ubuntu/+addquestion
you will get better chance to get right answer on a fresh tagged "open" question.
Solved or answered questions are usually not read from answering people.

Thank you

Can you help with this problem?

Provide an answer of your own, or ask Rohan Nigam for more information if necessary.

To post a message you must log in.